/* This does not include the positioning for fixed elements from https://gitlab.com/geeks4change/hubs4change/enzian/-/blob/master/src/global/enzian/_leafletfullscreen.scss */
/* Make sure that we position the leaflet-popup element and not only the outer wrapper so the close button is positioned correctly */

/* Leaflet resets */
.h4c-popup .leaflet-popup {
  position: unset !important;
  -webkit-transform: none !important;
  -ms-transform: none !important;
  transform: none !important;
}

.leaflet-popup-content p {
    margin: 1px 0 !important;
}

/* Limit height */
/* Most mobile browsers calculate vh without the browser toolbar which leads to non visible content https://stackoverflow.com/a/37113430 */
.h4c-popup__outer {
  max-height: calc(100vh - 8rem);
  display: flex;
  flex-direction: column;
  border-radius: 9px;
}
.h4c-popup__inner {
  overflow-y: auto;
  overflow-x: hidden;
  overscroll-behavior-y: none; /* Avoid scrolling of container when inner popup is being scrolled, browser support is mediocre https://stackoverflow.com/a/48084076 / https://caniuse.com/#feat=mdn-css_properties_overscroll-behavior-y */
}
.h4c-popup .leaflet-popup-close-button {
  position: absolute !important;
  width: 1.5rem;
  top: .4rem !important;
  right: .5rem !important;
  text-align: right;
  z-index: 1;
  height: 1.5rem;
  font: bold 1.25rem/1 sans-serif;
  cursor: pointer;
  pointer-events: all;
  color: #fff;
  text-align: center;
}
.h4c-popup .leaflet-popup-content-wrapper {
  padding: 0 !important;
  border-radius: 9px !important;
}
.h4c-popup .leaflet-popup-content {
  margin: 0 !important;
}
.h4c-popup .leaflet-popup-tip-container {
  display: none;
}

/* Set defaults for the popup being placed anywhere, we need to fix it relative to the viewport unlike in map-page where the viewport does not change*/
.h4c-popup {
  position: fixed;
  top: 5.25rem;
  width: 250px;
  left: 1rem;
}

/* IE11 rough fixes, TODO: Make conditional to not interfere with other styles 

.h4c-fixed {
  top: 68px;
}
.h4c-popup .leaflet-popup {
  width: 250px;
  top: 68px;
  left: 1rem !important;
}

*/
